package _08_while;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 1.定义一个变量表示珠穆朗玛峰的高度
         * int height = 8844430;
         * 2.定义一个变量表示纸张的厚度
         * double paper = 0.1 ;
         *
         * 每次对折  问折多少次可以比珠穆朗玛峰高
         */
        int heigth = 8844430;
        // 纸厚度
        double paper = 0.1;

        // 折叠次数
        int count = 0;
        while (paper < heigth){
            paper *= 2;
            count ++;
        }
        System.out.println("折叠的次数:"+ count);
    }
}
